summaryrefslogtreecommitdiffstats
path: root/update_version.sh
diff options
context:
space:
mode:
authorNeels Hofmeyr <neels@hofmeyr.de>2017-03-28 12:16:58 +0200
committerNeels Hofmeyr <neels@hofmeyr.de>2017-03-28 12:37:17 +0200
commitdae3d3c47906379061d57854fd140e8a7a12a25c (patch)
tree120abdd29437f4d78e971685aa21300439c6f449 /update_version.sh
parent0f2f19e9aa736f86a5a7cc3cbd2f5b1e325b0202 (diff)
initial import0.1
The original osmo-gsm-tester was an internal development at sysmocom, mostly by D. Laszlo Sitzer <dlsitzer@sysmocom.de>, of which this public osmo-gsm-tester is a refactoring / rewrite. This imports an early state of the refactoring and is not functional yet. Bits from the earlier osmo-gsm-tester will be added as needed. The earlier commit history is not imported.
Diffstat (limited to 'update_version.sh')
-rwxr-xr-xupdate_version.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/update_version.sh b/update_version.sh
new file mode 100755
index 0000000..3d5fe42
--- /dev/null
+++ b/update_version.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+git describe --abbrev=8 --dirty | sed 's/v\([^-]*\)-\([^-]*\)-\(.*\)/\1.dev\2.\3/' > version
+cat version
+echo "# osmo-gsm-tester version.
+# Automatically generated by update_version.sh.
+# Gets imported by __init__.py.
+
+_version = '$(cat version)'" \
+ > src/osmo_gsm_tester/_version.py